Bug 236866

Summary: X crashes when Fn+UpArrow is pressed in Inspiron 640m
Product: [Fedora] Fedora Reporter: Colin Charles <byte>
Component: xorg-x11-serverAssignee: Adam Jackson <ajax>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Brian Brock <bbrock>
Severity: high Docs Contact:
Priority: medium    
Version: 6   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-16 11:17:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Colin Charles 2007-04-17 22:29:16 EDT
Description of problem: Increasing and decreasing brightness is a significant
part of the laptop usage process. 

Decreasing brightness works on the Dell Inspiron 640m. When X is enabled, and
you attempt to increase brightness, by hitting the Fn+UpArrow key, X will crash.


Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2944.fc6.x86_64.rpm

How reproducible:
100% of the time

Steps to Reproduce:
1. Try to increase brightness - Fn+UpArrow
2. Watch X crash
3. Get annoyed
  
Actual results:
X crashes. /var/log/messages has this to offer:
Apr 18 11:54:23 hermione kernel: atkbd.c: Unknown key pressed (translated set 2,
 code 0x8b on isa0060/serio0).
Apr 18 11:54:23 hermione kernel: atkbd.c: Use 'setkeycodes e00b <keycode>' to ma
ke it known.


Expected results:
The brightness increases without fuss

Additional info: 
Disabling video.ko (i.e. rmmod video) will mean that X won't crash. Yippie. But
at the same time, you can't futz with brightness control

video.ko is: vermagic:       2.6.20-1.2944.fc6 SMP mod_unload 

Relevant video information:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS/940GML
Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/940GML Express
Integrated Graphics Controller (rev 03)

X is running i810 driver for video as picked by system-config-display
Comment 1 Chuck Ebbert 2007-04-18 19:57:17 EDT
This may be an X bug.

The X server log would be helpful; it's in /var/log/Xorg.0.log --
please create an attachment.
Comment 2 Chuck Ebbert 2007-04-27 10:14:53 EDT
Additionally the setkeycodes will need to be run to get brightness
control working.

Assigning to xserver, setting needinfo as reporter has not replied with the
X log.
Comment 3 Matěj Cepl 2007-07-12 16:15:22 EDT
Reporter, could you please reply to the question in comment 1 ? If you won't
reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2007-08-16 11:17:21 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.